﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace CurrentDate_120781
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }
    }
    public class Model
    {
        public double Value
        {
            get;
            set;
        }

        public DateTime Date
        {
            get;
            set;
        }
    }

    public class ViewModel
    {

        public ObservableCollection<Model> DataPoint
        {
            get;
            set;
        }

        public ViewModel()
        {
            this.DataPoint = new ObservableCollection<Model>();
            var date = new DateTime(2015, 10, 1);
            var random = new Random();
            for (int i = 0; i < 30; i++)
            {
                DataPoint.Add(new Model { Value = random.Next(20, 80), Date = date.AddDays(i) });
                if (DataPoint.Count > 0)
                {
                    if (DataPoint[i].Date > DateTime.Now)
                    {
                        DataPoint[i].Value = double.NaN;
                    }
                }

            }
        }
    }
}
